Package com.avaya.clientservices.call.conference

## Enum ParticipantConnectionStatus

- java.lang.Object
- - java.lang.Enum<ParticipantConnectionStatus>
  - - com.avaya.clientservices.call.conference.ParticipantConnectionStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ParticipantConnectionStatus>`

      public enum ParticipantConnectionStatus
      extends java.lang.Enum<ParticipantConnectionStatus>

  Enumeration representing the participant connection status.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUTHORIZING` | Participant is being authorized to join the conference call.
    `CONNECTED` | Participant is in the conference call.
    `CONNECTING` | Participant is connecting, i.e., either dialing in, or being dialed out towards.
    `DISCONNECTED` | Participant left the conference call.
    `DISCONNECTING` | Participant is leaving the conference call, either on his or her own, or forced out by the conference moderator.
    `UNKNOWN` | Participant's connection status is unknown (not a normal scenario).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ParticipantConnectionStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ParticipantConnectionStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final ParticipantConnectionStatus UNKNOWN

      Participant's connection status is unknown (not a normal scenario).

    - #### CONNECTING

          public static final ParticipantConnectionStatus CONNECTING

      Participant is connecting, i.e., either dialing in, or being dialed out towards.

    - #### CONNECTED

          public static final ParticipantConnectionStatus CONNECTED

      Participant is in the conference call.

    - #### DISCONNECTING

          public static final ParticipantConnectionStatus DISCONNECTING

      Participant is leaving the conference call, either on his or her own, or forced out by the conference moderator.

    - #### DISCONNECTED

          public static final ParticipantConnectionStatus DISCONNECTED

      Participant left the conference call. Only valid for a valid `DroppedParticipant`.

    - #### AUTHORIZING

          public static final ParticipantConnectionStatus AUTHORIZING

      Participant is being authorized to join the conference call. A participant may be in "authorizing" state while waiting to be admitted to a locked conference call or while joining a conference that is passcode protected. Upon admission to a locked conference call or entering the correct passcode, the participant transitions to connected state.

  - ### Method Detail

    - #### values

          public static ParticipantConnectionStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ParticipantConnectionStatus c : ParticipantConnectionStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ParticipantConnectionStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null